Bug 535924 - (RHQ-327) PropertyValueException when merging availability report - makes resources go red or grey
PropertyValueException when merging availability report - makes resources go ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
1.1.2
All All
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: 741450 jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2008-04-17 11:00 EDT by Heiko W. Rupp
Modified: 2013-09-01 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-04-17 11:00:00 EDT
I am seeing the error below. 
One more agent (not 172.31.7.7) went down and I stopped an JBossAS in inventory by pressing Ctrl-C on it.
Don't recall what else I did to end up in that situation.


16:58:07,897 INFO  [DiscoveryServerServiceImpl] Error processing availability report from [172.31.7.7]: javax.ejb.EJBException:javax.persistence.PersistenceException: org.hibernate.PropertyValueException: not-null property references a null or transient value: org.rhq.core.domain.measurement.Availability.resource -> javax.persistence.PersistenceException:org.hibernate.PropertyValueException: not-null property references a null or transient value: org.rhq.core.domain.measurement.Availability.resource -> org.hibernate.PropertyValueException:not-null property references a null or transient value: org.rhq.core.domain.measurement.Availability.resource
Comment 1 Heiko W. Rupp 2008-04-17 11:24:30 EDT
Restarting the agent fixed this.
Comment 2 Joseph Marques 2008-07-20 19:58:58 EDT
will close RHQ-385 as a duplicate, but this was seen by a customer.
Comment 3 Heiko W. Rupp 2008-09-13 09:08:19 EDT
I think this is critical, as I have seen that again in a customer log - unfortunately I did not find this issue while working on the case and now I don't find the case anymore :-/
Comment 4 Heiko W. Rupp 2008-09-13 09:10:05 EDT
Crap, 
raising the priority set the resolution to 'fixed'
Comment 5 Jeff Weiss 2008-09-13 10:20:45 EDT
Clearing the resolution.
Comment 6 Joseph Marques 2008-09-15 08:02:26 EDT
setting this to blocker since its duplicate RHQ-385 was also set to blocker.  i have a feeling that this issue is resolved by some of the new sync code.  i haven't seen this locally in a few months, and we've only had this reported from customers.  if this bug does in fact still exist, the HA testing should shake it out.  if it doesn't, then i would consider this issue dated and close as "can not reproduce"
Comment 7 Joseph Marques 2008-09-15 12:30:07 EDT
maybe we can make this more reliable by catching the one element with the problem, and letting the other availability elements in the report proceed.
Comment 8 Ian Springer 2009-04-07 17:28:36 EDT
A JON customer was seeing this for a couple of platforms, but not for other platforms in their inventory (Issue 281032). The two problematic platforms were red, not grey. Restarting the corresponding Agent with -lu got the platforms back to green, so at least there appears to be a workaround. The customer says that there were no network, DNS, or clock sync issues between the two Agent machines and the Server machine at the time the PropertyValueExceptions occurred and the platforms went red. The customer is running JON 2.1.2.


Comment 9 Red Hat Bugzilla 2009-11-10 16:07:07 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-327
This bug is duplicated by RHQ-385
Comment 10 wes hayutin 2010-02-16 16:07:59 EST
Mass move to component= Monitoring
Comment 11 Jay Shaughnessy 2012-02-28 15:58:39 EST
I think we can close this as it's stale and there has been a lot of
refactoring in the avail handling code.
Comment 12 Larry O'Leary 2012-02-28 18:21:13 EST
From the JON perspective the issue was last reported on JON 2.1 and does not appear to have occurred since. I would be willing to say the issue is out-of-date and not reproducible in the latest release.

I will defer to ccrouch for his response.
Comment 13 Jay Shaughnessy 2012-03-30 16:49:11 EDT
Setting this to ON_QA for further triage. Recommending it be closed.
Comment 14 Heiko W. Rupp 2013-09-01 15:22:33 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.